NX Open C++ Reference Guide
|
<br> To create a new instance of this class, use @link Routing::RouteManager::CreatePlacementSolutionsBuilder Routing::RouteManager::CreatePlacementSolutionsBuilder @endlink <br>
Created in NX7.5.0.
More...
Public Member Functions | |
void | ApplyConstraintsAndClear () |
Commit the solution and apply constraints if needed. | |
void | ApplyConstraintsAndClear (bool lockEngagement, bool lockRotation) |
Commit the solution and apply constraints if needed. | |
void | ApplyConstraintsAndClear (bool lockEngagement, bool lockRotation, bool fixPart) |
Commit the solution and apply constraints if needed. | |
void | ApplyPortRotation (double angle) |
Applies a rotation to the component about the axis of the port being used for placement. | |
void | FirstSolution () |
Cycle to the first solution. | |
int | GetNumberOfSolutions () |
Returns the total number of solutions based on the placement object. | |
int | GetSolutionIndex () |
Returns the current index of the solution. | |
void | InitializePlacementData (NXOpen::TaggedObject *part, const NXOpen::Point3d &placementPos, NXOpen::TaggedObject *partToPlace) |
Initialize Placement Data Created in NX7.5.0. | |
void | NextSolution () |
Cycle to the next solution. | |
void | PreviousSolution () |
Cycle to the previous solution Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
<br> To create a new instance of this class, use @link Routing::RouteManager::CreatePlacementSolutionsBuilder Routing::RouteManager::CreatePlacementSolutionsBuilder @endlink <br>
Created in NX7.5.0.
void NXOpen::Routing::PlacementSolutionsBuilder::ApplyConstraintsAndClear | ( | ) |
Commit the solution and apply constraints if needed.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::PlacementSolutionsBuilder::ApplyConstraintsAndClear | ( | bool | lockEngagement, |
bool | lockRotation | ||
) |
Commit the solution and apply constraints if needed.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
lockEngagement | Lock engagement if applicable. |
lockRotation | Lock Rotation if applicable. |
void NXOpen::Routing::PlacementSolutionsBuilder::ApplyConstraintsAndClear | ( | bool | lockEngagement, |
bool | lockRotation, | ||
bool | fixPart | ||
) |
Commit the solution and apply constraints if needed.
Created in NX7.5.2.
License requirements : routing_base ("Routing Basic")
lockEngagement | Lock engagement if applicable. |
lockRotation | Lock Rotation if applicable. |
fixPart | Fix Part if applicable. |
void NXOpen::Routing::PlacementSolutionsBuilder::ApplyPortRotation | ( | double | angle | ) |
Applies a rotation to the component about the axis of the port being used for placement.
Created in NX7.5.2.
License requirements : routing_base ("Routing Basic")
angle | Angle to apply. |
void NXOpen::Routing::PlacementSolutionsBuilder::FirstSolution | ( | ) |
Cycle to the first solution.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
int NXOpen::Routing::PlacementSolutionsBuilder::GetNumberOfSolutions | ( | ) |
Returns the total number of solutions based on the placement object.
int NXOpen::Routing::PlacementSolutionsBuilder::GetSolutionIndex | ( | ) |
Returns the current index of the solution.
For example, index 1 of 10 solutions.
void NXOpen::Routing::PlacementSolutionsBuilder::InitializePlacementData | ( | NXOpen::TaggedObject * | part, |
const NXOpen::Point3d & | placementPos, | ||
NXOpen::TaggedObject * | partToPlace | ||
) |
Initialize Placement Data
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
part | The part which the new part was dropped on. |
placementPos | Location the part was placed |
partToPlace | The part being placed. |
void NXOpen::Routing::PlacementSolutionsBuilder::NextSolution | ( | ) |
Cycle to the next solution.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::PlacementSolutionsBuilder::PreviousSolution | ( | ) |
Cycle to the previous solution
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")